package models

import (
	"git.listensoft.net/tool/jspkit/common/variable"
)

type CompanyInfo struct {
	ComName             string           `json:"comName,omitempty"`       //公司名称
	TaxNo               string           `json:"taxNo,omitempty"`         //纳税人识别号
	Dlfs                string           `json:"dlfs,omitempty"`          //登录方式
	Xzsf                string           `json:"xzsf,omitempty"`          //办税身份
	IdNo                string           `json:"id_no,omitempty"`         //账号
	Password            string           `json:"password,omitempty"`      //密码
	Zzrxm               string           `json:"zzrxm,omitempty"`         //办税人姓名
	Zzridno             string           `json:"zzridno,omitempty"`       //办税人身份证号码
	Zzrmm               string           `json:"zzrmm,omitempty"`         //办税人密码
	Tel                 string           `json:"tel,omitempty"`           //手机号
	Area                string           `json:"area,omitempty"`          //所属区域
	Period              string           `json:"period,omitempty"`        //账期
	VatBc               bool             `json:"vatBc,omitempty"`         //补充申报表是否申报
	Sffgs               bool             `json:"sffgs,omitempty"`         //是否分公司
	Lslf                bool             `json:"lslf,omitempty"`          //六税两费
	AccountSystem       variable.Kjze    `json:"accountSystem,omitempty"` //会计准则
	Gslx                variable.Gslx    `json:"gslx,omitempty"`          //公司类型
	Sfxy                string           `json:"sfxy,omitempty"`          //三方协议
	Nsrlx               variable.Nsrlx   `json:"nsrlx,omitempty"`         //纳税人类型
	Qysdslx             variable.Qysdslx `json:"qysdslx,omitempty"`       //企业所得税类型
	XjllbSb             bool             `json:"xjllb_sb,omitempty"`      //是申报现金流量表
	Bsbcwbb             bool             `json:"bsbcwbb,omitempty"`       //是否需要申报财务报表
	Sfsxbdc             bool             `json:"sfxsbdc,omitempty"`       //增值税是否销售不动产
	Zgswjg              string           `json:"zgswjg"`                  //主管税务机关
	HqDkFp              bool             `json:"hqDkFp,omitempty"`        //是否获取代开发票
	Cscsts              bool             `json:"cscsts,omitempty"`        //超时是否提示重试
	comURL              string           // 公司URL
	Ckts                bool             `json:"ckts,omitempty"`    //是否采集出口退税票
	GxqrAll             bool             `json:"gxqrAll,omitempty"` //是否全部勾选确认
	NewTaxBsQx          bool             //新版税局办税权限(身份里有办税员、财务负责人、法人时为true
	LoginChsCom         string           //登陆选择时的企业名
	Jcwq                bool             `json:"jcwq"`     //申报检查-是否检查往期 如果true检查往期，检查往期是否有未交款的 有往期未交款 提示有遗漏状态
	IsNewApp            bool             `json:"isNewApp"` // 保活用 区分新旧版服务 刷新状态
	GsMm                string           `json:"gsMm"`     //个税密码
	GsDlfs              string           `json:"gsDlfs"`   //个税登录方式
	NoTxfFp             bool             `json:"noTxfFp"`  //是否不采集通行费发票
	Wqsb                bool             // 社保采集申报扣款往期
	Dldl                bool             `json:"dldl"`                //是否需要先代理登录
	AgTaxNo             string           `json:"agTaxNo"`             //agencyTaxNo代理机构税号
	AgTel               string           `json:"agTel"`               //代理机构登录账号
	AgPwd               string           `json:"agPwd"`               //代理机构登录密码
	SheBaoPassword      string           `json:"shebaoPassword"`      // 社保支付密码
	SheBaoPasswordLogin string           `json:"shebaoPasswordLogin"` // 单独社保登录密码
	ConvertKj           string           // 自定义会计制度
	Qzsbcwbb            bool             `json:"qzsbcwbb"` //强制申报财务报表，如果已申报就去更正
}
