package sb

// 增值税纳税申报表（适用于增值税小规模纳税人）
type GsSmallVat struct {
	GsBaseModel
	GsMainId              uint   `gorm:"column:gs_main_id" json:"gsMainId" form:"gsMainId"`
	Type                  int    `gorm:"column:type" json:"type" form:"type"`                                                    //0 本期数-货物及劳务 1 本期数-服务、不动产和无形资产 2本年累计-货物及劳务 3本年累计-服务、不动产和无形资产
	Yzzzsbhsxse           string `gorm:"column:yzzzsbhsxse" json:"yzzzsbhsxse" form:"yzzzsbhsxse"`                               //（一） 应征增值税不含税销售额（3%征收率）1
	Swjgdkdzzszyfpbhsxse  string `gorm:"column:swjgdkdzzszyfpbhsxse" json:"swjgdkdzzszyfpbhsxse" form:"swjgdkdzzszyfpbhsxse"`    // 税务机关代开的增值税专用发票不含税销售额  2
	Skqjkjdptfpbhsxse     string `gorm:"column:skqjkjdptfpbhsxse" json:"skqjkjdptfpbhsxse" form:"skqjkjdptfpbhsxse"`             //税控器具开具的普通发票不含税销售额  3
	Xsczbdcbhsxse         string `gorm:"column:xsczbdcbhsxse" json:"xsczbdcbhsxse" form:"xsczbdcbhsxse"`                         //（二）应征增值税不含税销售额（5%征收率）4
	Swjgdkdzzszyfpbhsxse1 string `gorm:"column:swjgdkdzzszyfpbhsxse1" json:"swjgdkdzzszyfpbhsxse1" form:"swjgdkdzzszyfpbhsxse1"` //税务机关代开的增值税专用发票不含税销售额  5
	Skqjkjdptfpbhsxse2    string `gorm:"column:skqjkjdptfpbhsxse2" json:"skqjkjdptfpbhsxse2" form:"skqjkjdptfpbhsxse2"`          //税控器具开具的普通发票不含税销售额  6
	Xssygdysgdzcbhsxse    string `gorm:"column:xssygdysgdzcbhsxse" json:"xssygdysgdzcbhsxse" form:"xssygdysgdzcbhsxse"`          //（三）销售使用过的固定资产不含税销售额 7（7>=8）
	Skqjkjdptfpbhsxse1    string `gorm:"column:skqjkjdptfpbhsxse1" json:"skqjkjdptfpbhsxse1" form:"skqjkjdptfpbhsxse1"`          //其中：税控器具开具的普通发票不含税销售额 8
	Msxse                 string `gorm:"column:msxse" json:"msxse" form:"msxse"`                                                 //（四）免税销售额  9=10+11+12
	Xwqymsxse             string `gorm:"column:xwqymsxse" json:"xwqymsxse" form:"xwqymsxse"`                                     //其中：小微企业免税销售额  10
	Wdqzdxse              string `gorm:"column:wdqzdxse" json:"wdqzdxse" form:"wdqzdxse"`                                        //未达起征点销售额  11
	Qtmsxse               string `gorm:"column:qtmsxse" json:"qtmsxse" form:"qtmsxse"`                                           //其他免税销售额  12
	Ckmsxse               string `gorm:"column:ckmsxse" json:"ckmsxse" form:"ckmsxse"`                                           //（五）出口免税销售额  13(13>=14)
	Skqjkjdptfpxse1       string `gorm:"column:skqjkjdptfpxse1" json:"skqjkjdptfpxse1" form:"skqjkjdptfpxse1"`                   //其中：税控器具开具的普通发票销售额  14
	Hdxse                 string `gorm:"column:hdxse" json:"hdxse" form:"hdxse"`                                                 //核定销售额  15
	Bqynse                string `gorm:"column:bqynse" json:"bqynse" form:"bqynse"`                                              //本期应纳税额  16
	Hdynse                string `gorm:"column:hdynse" json:"hdynse" form:"hdynse"`                                              //核定应税额  17
	Bqynsejze             string `gorm:"column:bqynsejze" json:"bqynsejze" form:"bqynsejze"`                                     //本期应纳税额减征额  18
	Bqmse                 string `gorm:"column:bqmse" json:"bqmse" form:"bqmse"`                                                 //本期免税额  19
	Xwqymse               string `gorm:"column:xwqymse" json:"xwqymse" form:"xwqymse"`                                           //其中：小微企业免税额  20
	Wdqzdmse              string `gorm:"column:wdqzdmse" json:"wdqzdmse" form:"wdqzdmse"`                                        //未达起征点免税额  21
	Ynsehj                string `gorm:"column:ynsehj" json:"ynsehj" form:"ynsehj"`                                              //应纳税额合计  22=16-18或17-18
	Bqyjse1               string `gorm:"column:bqyjse1" json:"bqyjse1" form:"bqyjse1"`                                           //本期预缴税额  23
	Bqybtse               string `gorm:"column:bqybtse" json:"bqybtse" form:"bqybtse"`                                           //本期应补（退）税额 24=22-23
	Cjs                   string `gorm:"column:cjs" json:"cjs" form:"cjs"`                                                       //城建税本期应补退
	Jyf                   string `gorm:"column:jyf" json:"jyf" form:"jyf"`                                                       //教育费本期应补退
	Dfjyf                 string `gorm:"column:dfjyf" json:"dfjyf" form:"dfjyf"`                                                 //地方教育本期应补退
}
