package sb

// 增值税纳税申报表（适用于增值税小规模纳税人）附列资料
type GsSmallVatAttached struct {
	GsBaseModel

	GsMainId uint   `gorm:"column:gs_main_id" json:"gsMainId" form:"gsMainId"`
	A1       string `gorm:"column:a1" json:"a1" form:"a1"`    //期初余额 1
	A2       string `gorm:"column:a2" json:"a2" form:"a2"`    //本期发生额 2
	A3       string `gorm:"column:a3" json:"a3" form:"a3"`    //本期扣除额 3（3≤1＋2之和，且3≤5）
	A4       string `gorm:"column:a4" json:"a4" form:"a4"`    //期末余额 4＝1＋2－3
	A5       string `gorm:"column:a5" json:"a5" form:"a5"`    //全部含税收入 5
	A6       string `gorm:"column:a6" json:"a6" form:"a6"`    //本期扣除额 6=3
	A7       string `gorm:"column:a7" json:"a7" form:"a7"`    //含税销售额 7=5-6
	A8       string `gorm:"column:a8" json:"a8" form:"a8"`    //不含税销售额 8＝7÷1.03
	A9       string `gorm:"column:a9" json:"a9" form:"a9"`    //期初余额 9
	A10      string `gorm:"column:a10" json:"a10" form:"a10"` //本期发生额 10
	A11      string `gorm:"column:a11" json:"a11" form:"a11"` //本期扣除额 11（11≤9＋10之和，且11≤13）
	A12      string `gorm:"column:a12" json:"a12" form:"a12"` //期末余额 12＝9＋10－11
	A13      string `gorm:"column:a13" json:"a13" form:"a13"` //全部含税收入 13
	A14      string `gorm:"column:a14" json:"a14" form:"a14"` //本期扣除额 14=11
	A15      string `gorm:"column:a15" json:"a15" form:"a15"` //含税销售额 15=13-14
	A16      string `gorm:"column:a16" json:"a16" form:"a16"` //不含税销售额 16＝15÷1.05
	A17      string `gorm:"column:a17" json:"a17" form:"a17"` //扣除后不含税销售额(其中1%征收率)
}
