package sb

// 中华人民共和国企业所得税月（季）度预缴纳税申报表（A类）
type GsTaxQuarter struct {
	GsBaseModel

	GsMainId      uint   `gorm:"column:gs_main_id" json:"gsMainId" form:"gsMainId"`
	Qccyrs1       string `gorm:"column:qccyrs1" json:"qccyrs1" form:"qccyrs1"` //从业人数期初
	Qccyrs2       string `gorm:"column:qccyrs2" json:"qccyrs2" form:"qccyrs2"`
	Qccyrs3       string `gorm:"column:qccyrs3" json:"qccyrs3" form:"qccyrs3"`
	Qccyrs4       string `gorm:"column:qccyrs4" json:"qccyrs4" form:"qccyrs4"`
	Qmcyrs1       string `gorm:"column:qmcyrs1" json:"qmcyrs1" form:"qmcyrs1"` //从业人数期末
	Qmcyrs2       string `gorm:"column:qmcyrs2" json:"qmcyrs2" form:"qmcyrs2"`
	Qmcyrs3       string `gorm:"column:qmcyrs3" json:"qmcyrs3" form:"qmcyrs3"`
	Qmcyrs4       string `gorm:"column:qmcyrs4" json:"qmcyrs4" form:"qmcyrs4"`
	Qczcze1       string `gorm:"column:qczcze1" json:"qczcze1" form:"qczcze1"` //资产总额（万元）期初
	Qczcze2       string `gorm:"column:qczcze2" json:"qczcze2" form:"qczcze2"`
	Qczcze3       string `gorm:"column:qczcze3" json:"qczcze3" form:"qczcze3"`
	Qczcze4       string `gorm:"column:qczcze4" json:"qczcze4" form:"qczcze4"`
	Qmzcze1       string `gorm:"column:qmzcze1" json:"qmzcze1" form:"qmzcze1"` //资产总额（万元）期末
	Qmzcze2       string `gorm:"column:qmzcze2" json:"qmzcze2" form:"qmzcze2"`
	Qmzcze3       string `gorm:"column:qmzcze3" json:"qmzcze3" form:"qmzcze3"`
	Qmzcze4       string `gorm:"column:qmzcze4" json:"qmzcze4" form:"qmzcze4"`
	K01001Status  int    `gorm:"column:k01001_status" json:"k01001Status" form:"k01001Status"` //1选中 支持新型冠状病毒感染的肺炎疫情防控捐赠支出全额扣除（本年累计，元）
	K01001        string `gorm:"column:k01001" json:"k01001" form:"k01001"`
	K01002Status  int    `gorm:"column:k01002_status" json:"k01002Status" form:"k01002Status"` //扶贫捐赠支出全额扣除（本年累计，元）
	K01002        string `gorm:"column:k01002" json:"k01002" form:"k01002"`
	Y01001Status  int    `gorm:"column:y01001_status" json:"y01001Status" form:"y01001Status"` //软件集成电路企业按新政策或原政策执行优惠（单选：原政策/新政策）
	Y01001        string `gorm:"column:y01001" json:"y01001" form:"y01001"`
	Xxwlqy        int    `gorm:"column:xxwlqy" json:"xxwlqy" form:"xxwlqy"`                      //1是 0否 小微企业
	Xzhy          int    `gorm:"column:xzhy" json:"xzhy" form:"xzhy"`                            //1是 0否 限制行业
	Yysr          string `gorm:"column:yysr" json:"yysr" form:"yysr"`                            //1 营业收入
	Yycb          string `gorm:"column:yycb" json:"yycb" form:"yycb"`                            //2 营业成本
	Lrze          string `gorm:"column:lrze" json:"lrze" form:"lrze"`                            //3 利润总额
	Tdywjsdynssde string `gorm:"column:tdywjsdynssde" json:"tdywjsdynssde" form:"tdywjsdynssde"` //4 加：特定业务计算的应纳税所得额
	Bzssr         string `gorm:"column:bzssr" json:"bzssr" form:"bzssr"`                         //5 减：不征税收
	Zcjszj        string `gorm:"column:zcjszj" json:"zcjszj" form:"zcjszj"`                      //6 减：资产加速折旧、摊销（扣除）调减额（填写A201020）
	Mssr          string `gorm:"column:mssr" json:"mssr" form:"mssr"`                            //7 减：免税收入、减计收入、加计扣除（7.1+7.2+……
	Sdsjm         string `gorm:"column:sdsjm" json:"sdsjm" form:"sdsjm"`                         //8 减：所得减免（8.1+8.2+……）
	Mbyqndks      string `gorm:"column:mbyqndks" json:"mbyqndks" form:"mbyqndks"`                //9 减：弥补以前年度亏损
	Sjlre         string `gorm:"column:sjlre" json:"sjlre" form:"sjlre"`                         //10 实际利润额（3+4-5-6-7-8-9）\ 按照上一纳税年度应纳税所得额平均额确定的应纳税所得额
	Sl            string `gorm:"column:sl" json:"sl" form:"sl"`                                  //11 税率(25%)
	Ynssde        string `gorm:"column:ynssde" json:"ynssde" form:"ynssde"`                      //12 应纳所得税额（10×11）
	Jmsdse        string `gorm:"column:jmsdse" json:"jmsdse" form:"jmsdse"`                      //13 减：减免所得税额（13.1+13.2+……）
	Xwqyjm        string `gorm:"column:xwqyjm" json:"xwqyjm" form:"xwqyjm"`                      //14 符合条件的小型微利企业减免企业所得税
	Bnsjyjn       string `gorm:"column:bnsjyjn" json:"bnsjyjn" form:"bnsjyjn"`                   //15 减：本年实际已缴纳所得税额
	Tdyeyj        string `gorm:"column:tdyeyj" json:"tdyeyj" form:"tdyeyj"`                      //16 减：特定业务预缴（征）所得税额
	Bqybt         string `gorm:"column:bqybt" json:"bqybt" form:"bqybt"`                         //本期应补（退）所得税额（12-13-14-15） \ 税务机关确定的本期应纳所得税额
	Zyjsr         string `gorm:"column:zyjsr" json:"zyjsr" form:"zyjsr"`                         //中央级收入实际应纳税额[本期：16行×60%或(18行+20行)×60%+19或22行×60%]
	Dfjsr         string `gorm:"column:dfjsr" json:"dfjsr" form:"dfjsr"`                         //  地方级收入应纳税额[本期：16行×40%或(18行+20行)×40%或22行×40%]
	MzzzqStatus   int    `gorm:"column:mzzzq_status" json:"mzzzqStatus" form:"mzzzqStatus"`      //减：民族自治地区企业所得税地方分享部分 0无 1免征 2减征
	MzzzqFd       string `gorm:"column:mzzzq_fd" json:"mzzzqFd" form:"mzzzqFd"`                  //减征幅度
	MzzzqBq       string `gorm:"column:mzzzq_bq" json:"mzzzqBq" form:"mzzzqBq"`                  //本期实际减免金额（FZ2×减征幅度）
	MzzzqBn       string `gorm:"column:mzzzq_bn" json:"mzzzqBn" form:"mzzzqBn"`                  //本机构本年累计的（23行的本年累计）
	MzzzqBnym     string `gorm:"column:mzzzq_bnym" json:"mzzzqBnym" form:"mzzzqBnym"`            //本年累计应减免金额（总机构及分支机构的本年累计，总机构填报）
	Dfjsrsjynse   string `gorm:"column:dfjsrsjynse" json:"dfjsrsjynse" form:"dfjsrsjynse"`       //地方级收入实际应纳税额（本期：FZ2-23）
	Sjybtse       string `gorm:"column:sjybtse" json:"sjybtse" form:"sjybtse"`                   //  实际应补（退）所得税额（本期：FZ1+FZ3）
	// 顶呱呱补充
	Yjfs                    string `json:"yjfs"`                     // 预缴方式 按照实际利润额预缴 按照上一纳税年度应纳税所得额平均额预缴 按照税务机关确定的其他方法预缴
	Qylx                    string `json:"qylx"`                     // 企业类型 一般企业 跨地区经营汇总纳税企业总机构 跨地区经营汇总纳税企业分支机构
	CyrsAverage             string `json:"cyrs_average"`             // 从业人数 平均值
	ZczeAverage             string `json:"zcze_average"`             // 资产总额（万元） 平均值
	Zjgbqftybtsdse          string `json:"zjgbqftybtsdse"`           // 17总机构本期分摊应补（退）所得税额（18+19+20）
	Qzjgbqftybtsdse         string `json:"qzzjgbqftybtsdse"`         // 18其中：总机构分摊应补（退）所得税额（16×总机构分摊比例 0.00% ）
	ZjgbqftybtsdseBl        string `json:"zjgbqftybtsdse_bl"`        // 18 比例 例如0.01
	Czjzfpybtsdse           string `json:"czjzfpybtsdse"`            // 19财政集中分配应补（退）所得税额（16×财政集中分配比例 0.00% ）
	CzjzfpybtsdseBl         string `json:"czjzfpybtsdse_bl"`         // 19 比例 例如0.01
	Zjgjyztcszndbmftsdse    string `json:"zjgjyztcszndbmftsdse"`     // 20总机构具有主体生产经营职能的部门分摊所得税额（15×全部分支机构分摊比例 0.00% ×总机构具有主体生产经营职能部门分摊比例 0.00000000% ）
	ZjgjyztcszndbmftsdseBl1 string `json:"zjgjyztcszndbmftsdse_bl1"` // 20 比例1 例如0.01
	ZjgjyztcszndbmftsdseBl2 string `json:"zjgjyztcszndbmftsdse_bl2"` // 20 比例2 例如0.01
	Fzjgbqftbl              string `json:"fzjgbqftbl"`               // 21 分支机构本期分摊比例
	Fzjgbqftybtsdse         string `json:"fzjgbqftybtsdse"`          // 22 分支机构本期分摊应补（退）所得税额
}
