package sb

type GsTaxQuarterB struct {
	ID            uint    `json:"id" gorm:"primary_key"`
	GsMainID      uint    `json:"gsMainId"`      //
	Hdzsfs        string  `json:"hdzsfs"`        // 核定征收方式
	Srze          float64 `json:"srze"`          // 1：收入总额
	JBzssr        float64 `json:"jBzssr"`        // 2：减：不征税收入
	JMssr         float64 `json:"jMssr"`         // 2：减：免税收入（4&#43;5&#43;8&#43;9）
	Gzlxsr        float64 `json:"gzlxsr"`        // 4: 国债利息收入免征企业所得税
	Fhtjdjmqyzjgx float64 `json:"fhtjdjmqyzjgx"` // 5:符合条件的居民企业之间的股息、红利等权益性投资收益免征企业所得税
	QzYbgxhl      float64 `json:"qzYbgxhl"`
	QzTghgttz     float64 `json:"qzTghgttz"`     // 6其中：通过沪港通投资且连续持有H股满12个月取得的股息红利所得免征企业所得税
	QzTgsgttz     float64 `json:"qzTgsgttz"`     // 7通过深港通投资且连续持有H股满12个月取得的股息红利所得免征企业所得税
	Jmqycycxqy    float64 `json:"jmqycycxqy"`    // 8居民企业持有创新企业CDR取得的股息红利所得免征企业所得税
	Fhtjdjmqy     float64 `json:"fhtjdjmqy"`     // 9符合条件的居民企业之间属于股息、红利性质的永续债利息收入免征企业所得税
	Tzzczqtzjjfp  float64 `json:"tzzczqtzjjfp"`  // 10投资者从证券投资基金分配中取得的收入免征企业所得税
	Qdddfzfzqlxsr float64 `json:"qdddfzfzqlxsr"` // 11取得的地方政府债券利息收入免征企业所得税
	Yssre         float64 `json:"yssre"`         // 12应税收入额（1-2-3） \ 成本费用总额
	Swjghddyssdl  float64 `json:"swjghddyssdl"`  // 13税务机关核定的应税所得率（
	Ynssde        float64 `json:"ynssde"`        // 14应纳税所得额（第10×11行） \ [第10行÷（1-第11行）×第11行]
	Sl            float64 `json:"sl"`            // 15税率（25%）
	Ynsdse        float64 `json:"ynsdse"`        // 16应纳所得税额（12×13）
	JFhtjdxflqy   float64 `json:"jFhtjdxflqy"`   // 17减：符合条件的小型微利企业减免企业所得税
	JSjyjnsdse    float64 `json:"jSjyjnsdse"`    // 18减：实际已缴纳所得税额
	Bqybtsdse     float64 `json:"bqybtsdse"`     // 19本期应补（退）所得税额（14-15-16） \ 税务机关核定本期应纳所得税额
	Mzzzdfdzzjg   float64 `json:"mzzzdfdzzjg"`   // 20民族自治地方的自治机关对本民族自治地方的企业应缴纳的企业所得税中属于地方分享的部分减征或免征（
	Bqsjybtsdse   float64 `json:"bqsjybtsdse"`   // 21本期实际应补（退）所得税额
	Jccyrs        string  `json:"jccyrs"`        // 季初从业人数
	Jmcyrs        string  `json:"jmcyrs"`        // 季末从业人数
	Jczcze        string  `json:"jczcze"`        // 季初资产总额（万元）
	Jmzcze        string  `json:"jmzcze"`        // 季末资产总额（万元）
	Gjxzhjzhy     string  `json:"gjxzhjzhy"`     // 国家限制或禁止行业1-是 2否
	Xxwlqyjd      string  `json:"xxwlqyjd"`      // 小型微利企业(季度)1-是 2否
	Xxwlqynd      string  `json:"xxwlqynd"`      // 小型微利企业(年度)1-是 2否

	Qccyrs1 string `json:"qccyrs1"`
	Qccyrs2 string `json:"qccyrs2"`
	Qccyrs3 string `json:"qccyrs3"`
	Qccyrs4 string `json:"qccyrs4"`
	Qmcyrs1 string `json:"qmcyrs1"`
	Qmcyrs2 string `json:"qmcyrs2"`
	Qmcyrs3 string `json:"qmcyrs3"`
	Qmcyrs4 string `json:"qmcyrs4"`

	Qczcze1 string `json:"qczcze1"`
	Qczcze2 string `json:"qczcze2"`
	Qczcze3 string `json:"qczcze3"`
	Qczcze4 string `json:"qczcze4"`
	Qmzcze1 string `json:"qmzcze1"`
	Qmzcze2 string `json:"qmzcze2"`
	Qmzcze3 string `json:"qmzcze3"`
	Qmzcze4 string `json:"qmzcze4"`

	Yhjn       string `json:"yhjn"`
	Yhjnstatus int    `json:"yhjnstatus"`
	Yhjntext   string `json:"yhjntext"`
	Jzfd       string `json:"jzfd"`
}
