package sb

// 一般纳税人增值税 主表
type GsVat struct {
	GsBaseModel

	GsMainId       uint   `gorm:"column:gs_main_id" json:"gsMainId" form:"gsMainId"`
	Type           int    `gorm:"column:type" json:"type" form:"type"`                               //0 一般项目 本月数1 一般项目 本年累计 2 即征即退项目 本月数 3 即征即退项目 本年累计
	Asysljsxse     string `gorm:"column:asysljsxse" json:"asysljsxse" form:"asysljsxse"`             //1: （一）按适用税率计税销售额
	Yshwxse        string `gorm:"column:yshwxse" json:"yshwxse" form:"yshwxse"`                      //2: 其中：应税货物销售额
	Yslwxse        string `gorm:"column:yslwxse" json:"yslwxse" form:"yslwxse"`                      //3: 应税劳务销售额
	SyslNsjctzxse  string `gorm:"column:sysl_nsjctzxse" json:"syslNsjctzxse" form:"syslNsjctzxse"`   //4:  纳税检查调整的销售额
	Ajybfjsxse     string `gorm:"column:ajybfjsxse" json:"ajybfjsxse" form:"ajybfjsxse"`             //5: （二）按简易办法计税销售额
	JybfNsjctzxse  string `gorm:"column:jybf_nsjctzxse" json:"jybfNsjctzxse" form:"jybfNsjctzxse"`   //6: 其中：纳税检查调整的销售额
	Mdtbfckxse     string `gorm:"column:mdtbfckxse" json:"mdtbfckxse" form:"mdtbfckxse"`             //7: （三）免、抵、退办法出口销售额
	Msxse          string `gorm:"column:msxse" json:"msxse" form:"msxse"`                            //8: （四）免税销售额
	Mshwxse        string `gorm:"column:mshwxse" json:"mshwxse" form:"mshwxse"`                      //9: 其中：免税货物销售额
	Mslwxse        string `gorm:"column:mslwxse" json:"mslwxse" form:"mslwxse"`                      //10: 免税劳务销售额
	Xxse           string `gorm:"column:xxse" json:"xxse" form:"xxse"`                               //11: 销项税额
	Jxse           string `gorm:"column:jxse" json:"jxse" form:"jxse"`                               //12: 进项税额
	Sqldse         string `gorm:"column:sqldse" json:"sqldse" form:"sqldse"`                         //13: 上期留抵税额
	Jxsezc         string `gorm:"column:jxsezc" json:"jxsezc" form:"jxsezc"`                         //14: 进项税额转出
	Mdtytse        string `gorm:"column:mdtytse" json:"mdtytse" form:"mdtytse"`                      //15: 免、抵、退应退税额
	SyslNsjcybjse  string `gorm:"column:sysl_nsjcybjse" json:"syslNsjcybjse" form:"syslNsjcybjse"`   //16: 按适用税率计算的纳税检查应补缴税额
	Ydksehj        string `gorm:"column:ydksehj" json:"ydksehj" form:"ydksehj"`                      //17: 应抵扣税额合计
	Sjdkse         string `gorm:"column:sjdkse" json:"sjdkse" form:"sjdkse"`                         //18: 实际抵扣税额  （如17<11，则为17，否则为11）
	Ynse           string `gorm:"column:ynse" json:"ynse" form:"ynse"`                               //19: 应纳税额 19=11-18
	Qmldse         string `gorm:"column:qmldse" json:"qmldse" form:"qmldse"`                         //20: 期末留抵税额 20=17-18
	JybfYnse       string `gorm:"column:jybf_ynse" json:"jybfYnse" form:"jybfYnse"`                  //21: 简易计税办法计算的应纳税额
	JybfNsjcybjse  string `gorm:"column:jybf_nsjcybjse" json:"jybfNsjcybjse" form:"jybfNsjcybjse"`   //22: 按简易计税办法计算的纳税检查应补缴税额
	Ynsejze        string `gorm:"column:ynsejze" json:"ynsejze" form:"ynsejze"`                      //23: 应纳税额减征额
	Ynsehj         string `gorm:"column:ynsehj" json:"ynsehj" form:"ynsehj"`                         //24: 应纳税额合计 24=19+21-23
	Qcwjse         string `gorm:"column:qcwjse" json:"qcwjse" form:"qcwjse"`                         //25 期初未缴税额（多缴为负数）
	Ssckkjzyjkstse string `gorm:"column:ssckkjzyjkstse" json:"ssckkjzyjkstse" form:"ssckkjzyjkstse"` //26: 实收出口开具专用缴款书退税额
	Bqyjse         string `gorm:"column:bqyjse" json:"bqyjse" form:"bqyjse"`                         //27: 本期已缴税额 27=28+29+30+31
	Fcyjse         string `gorm:"column:fcyjse" json:"fcyjse" form:"fcyjse"`                         //28: ①分次预缴税额
	Ckkjzyjksyjse  string `gorm:"column:ckkjzyjksyjse" json:"ckkjzyjksyjse" form:"ckkjzyjksyjse"`    //29: ②出口开具专用缴款书预缴税额
	Bqjnsqynse     string `gorm:"column:bqjnsqynse" json:"bqjnsqynse" form:"bqjnsqynse"`             //30: ③本期缴纳上期应纳税额
	Bqjnqjse       string `gorm:"column:bqjnqjse" json:"bqjnqjse" form:"bqjnqjse"`                   //31: ④本期缴纳欠缴税额
	Qmwjse         string `gorm:"column:qmwjse" json:"qmwjse" form:"qmwjse"`                         //32: 期末未缴税额（多缴为负数）32=24+25+26-27
	QmwjseQjse     string `gorm:"column:qmwjse_qjse" json:"qmwjseQjse" form:"qmwjseQjse"`            //33: 其中：欠缴税额（≥0）33=25+26-27
	Bqybtse        string `gorm:"column:bqybtse" json:"bqybtse" form:"bqybtse"`                      //34: 本期应补(退)税额  34＝24-28-29
	Jzjtsjtse      string `gorm:"column:jzjtsjtse" json:"jzjtsjtse" form:"jzjtsjtse"`                //35: 即征即退实际退税额
	Qcwjcbse       string `gorm:"column:qcwjcbse" json:"qcwjcbse" form:"qcwjcbse"`                   //36: 期初未缴查补税额
	Bqrkcbse       string `gorm:"column:bqrkcbse" json:"bqrkcbse" form:"bqrkcbse"`                   //37: 本期入库查补税额
	Qmwjcbse       string `gorm:"column:qmwjcbse" json:"qmwjcbse" form:"qmwjcbse"`                   //38: 期末未缴查补税额
	Cjs            string `gorm:"column:cjs" json:"cjs" form:"cjs"`                                  //城建税本期应补退
	Jyf            string `gorm:"column:jyf" json:"jyf" form:"jyf"`                                  //教育费本期应补退
	Dfjyf          string `gorm:"column:dfjyf" json:"dfjyf" form:"dfjyf"`                            //地方教育本期应补退
}
