package sb

import "time"

// 成品油购数量明细表
type GsTaxCpygsl struct {
	AddFlag   bool      `json:"addFlag"`
	CreatedAt time.Time `json:"createdAt"`
	GsMainID  int       `json:"gsMainID"`
	Id        int       `json:"id"`
	L1        string    `json:"l1"`
	L2        string    `json:"l2"`
	L3        string    `json:"l3"`
	L4        string    `json:"l4"`
	L5        string    `json:"l5"`
	Type      string    `json:"type"`
	UpdatedAt time.Time `json:"updatedAt"`
}

// 成品油购销存
type GsTaxCpygxc struct {
	AddFlag   bool      `json:"addFlag"`
	CreatedAt time.Time `json:"createdAt"`
	GsMainId  int       `json:"gsMainId"`
	Id        int       `json:"id"`
	L1        string    `json:"l1"`
	L10       string    `json:"l10"`
	L11       string    `json:"l11"`
	L12       string    `json:"l12"`
	L13       string    `json:"l13"`
	L14       string    `json:"l14"`
	L15       string    `json:"l15"`
	L16       string    `json:"l16"`
	L17       string    `json:"l17"`
	L18       string    `json:"l18"`
	L2        string    `json:"l2"`
	L3        string    `json:"l3"`
	L4        string    `json:"l4"`
	L5        string    `json:"l5"`
	L6        string    `json:"l6"`
	L7        string    `json:"l7"`
	L8        string    `json:"l8"`
	L9        string    `json:"l9"`
	Type      string    `json:"type"`
	UpdatedAt time.Time `json:"updatedAt"`
}

// 油站月份加油信息明细
type GsTaxJyzyjyxx struct {
	AddFlag                  bool                `json:"addFlag"`
	CreatedAt                time.Time           `json:"createdAt"`
	FillingTime              string              `json:"fillingTime"`
	GsMainId                 int                 `json:"gsMainId"`
	Gunslinger               string              `json:"gunslinger"`
	Id                       int                 `json:"id"`
	Item                     []GsTaxJyzyjyxxItem `json:"item"`
	LegalRepresentative      string              `json:"legalRepresentative"`
	LegalRepresentativePhone string              `json:"legalRepresentativePhone"`
	Month                    string              `json:"month"`
	Preparer                 string              `json:"preparer"`
	ProcessingTime           string              `json:"processingTime"`
	Receiver                 string              `json:"receiver"`
	TaxAcceptingAuthority    string              `json:"taxAcceptingAuthority"`
	Taxpayer                 string              `json:"taxpayer"`
	TaxpayerNumber           string              `json:"taxpayerNumber"`
	UpdatedAt                time.Time           `json:"updatedAt"`
}
type GsTaxJyzyjyxxItem struct {
	AddFlag bool   `json:"addFlag"`
	Id      int    `json:"id"`
	L1      string `json:"l1"`
	L2      string `json:"l2"`
	L3      string `json:"l3"`
	L4      string `json:"l4"`
	L5      string `json:"l5"`
}

// 加油站月销售油品汇总表
type GsTaxJyzysx struct {
	AddFlag     bool      `json:"addFlag"`
	CreatedAt   time.Time `json:"createdAt"`
	FillingTime string    `json:"fillingTime"`
	GsMainId    int       `json:"gsMainId"`
	Id          int       `json:"id"`
	Item        []struct {
		AddFlag   bool      `json:"addFlag"`
		CreatedAt time.Time `json:"createdAt"`
		GsMainId  int       `json:"gsMainId"`
		Id        int       `json:"id"`
		L1        string    `json:"l1"`
		L10       string    `json:"l10"`
		L11       string    `json:"l11"`
		L12       string    `json:"l12"`
		L13       string    `json:"l13"`
		L14       string    `json:"l14"`
		L15       string    `json:"l15"`
		L16       string    `json:"l16"`
		L2        string    `json:"l2"`
		L3        string    `json:"l3"`
		L4        string    `json:"l4"`
		L5        string    `json:"l5"`
		L6        string    `json:"l6"`
		L7        string    `json:"l7"`
		L8        string    `json:"l8"`
		L9        string    `json:"l9"`
		MainId    int       `json:"mainId"`
		UpdatedAt time.Time `json:"updatedAt"`
	} `json:"item"`
	LegalRepresentative      string    `json:"legalRepresentative"`
	LegalRepresentativePhone string    `json:"legalRepresentativePhone"`
	Preparer                 string    `json:"preparer"`
	TaxAcceptingAuthority    string    `json:"taxAcceptingAuthority"`
	UpdatedAt                time.Time `json:"updatedAt"`
}
