package sb

type KjLrbTemplate struct {
	GsBaseModel
	KjMainID    uint    `json:"kjMainId"`    //
	Type        int     `json:"type"`        // 对应利润表行次
	Project     string  `json:"project"`     //
	YearTotal   float64 `json:"yearTotal"`   // 核定比例
	PeriodTotal float64 `json:"periodTotal"` // 适用税率
}

type KjLrb struct {
	GsBaseModel
	KjMainID    uint    `json:"kjMainId"`    //
	Project     string  `json:"project"`     // 项目
	Type        int     `json:"type"`        // 对应利润表行次
	YearTotal   float64 `json:"yearTotal"`   // 核定比例
	PeriodTotal float64 `json:"periodTotal"` // 适用税率
}

// 民办非业务活动表(利润表)多了两个数
type KjLrbMbf struct {
	GsBaseModel
	KjMainID        uint    `json:"kjMainId"`        //
	Project         string  `json:"project"`         // 项目
	Type            int     `json:"type"`            // 对应利润表行次
	YearFxdxTotal   float64 `json:"yearFxdxTotal"`   // 非限定性本年累计
	YearXdxTotal    float64 `json:"yearXdxTotal"`    // 限定性本年累计
	PeriodFxdxTotal float64 `json:"periodFxdxTotal"` // 非限定性本期
	PeriodXdxTotal  float64 `json:"periodXdxTotal"`  // 限定性本期
}
