package variable

import "time"

type SbKey string

const (
	//申报相关
	GsVat             SbKey = "gsVat"              //一般纳税人增值税
	GsVatAttach1      SbKey = "gsVatAttach1"       //附表1
	GsVatAttach2      SbKey = "gsVatAttach2"       //附表2
	GsVatAttach3      SbKey = "gsVatAttach3"       //附表3
	GsVatAttach4      SbKey = "gsVatAttach4"       //附表4
	GsVatAttach5      SbKey = "gsVatAttach5"       //附表5 附加税
	GsVatAttach5Qt    SbKey = "gsVatAttach5Qt"     //附加税其他
	GsVatJsxm         SbKey = "gsVatJsxm"          //减税
	GsVatBc           SbKey = "gsVatBc"            //补充申报表
	GsVatNcp          SbKey = "gsVatNcp"           //农产品
	GsVatNcpHzb       SbKey = "gsVatNcpHzb"        //农产品汇总表
	GsVatQt           SbKey = "gsVatQt"            //增值税其他
	GsTaxCpygsl       SbKey = "gsTaxCpygsl"        //成品油购数量明细表
	GsTaxCpygxc       SbKey = "gsTaxCpygxc"        //成品油购销存
	GsTaxJyzyjyxx     SbKey = "gsTaxJyzyjyxx"      //加油站月份加油信息明细
	GsTaxJyzysx       SbKey = "gsTaxJyzysx"        //加油站月销售油品汇总表
	GsSmallVat        SbKey = "gsSmallVat"         //小规模纳税人增值税
	GsSmallVatAttach  SbKey = "gsSmallVatAttached" //小规模增值税附表
	GsSmallVatAttach5 SbKey = "gsVatAttach5"
	GsSmallVatReduce  SbKey = "gsSmallVatReduce"
	GsSmallVatFb4     SbKey = "gsSmallVatFb4"
	GsSmallVatFb5     SbKey = "gsSmallVatFb5"
	GsSmallVatFb6     SbKey = "gsSmallVatFb6"
	GsSmallVatFb7     SbKey = "gsSmallVatFb7"
	GsVatFjs          SbKey = "gsVatFjs"
	GsVatNcpZjxs      SbKey = "gsVatNcpZjxs"

	GsTaxDqde       SbKey = "gsTaxDqde"
	GsTaxQuarter    SbKey = "gsTaxQuarter"
	GsTaxQuarterB   SbKey = "gsTaxQuarterB"
	GsTaxQuarterFb1 SbKey = "gsTaxQuarterFb1"
	GsTaxQuarterFb2 SbKey = "gsTaxQuarterFb2"
	GsTaxQuarterFb3 SbKey = "gsTaxQuarterFb3"
	GsA201020       SbKey = "gsA201020"
	GsOther         SbKey = "gsOther" //弥补年度亏损

	GsDeed    SbKey = "gsDeed"    //行为税
	GsDeedYhs SbKey = "gsDeedYhs" //行为税 印花税
	GsDeedZys SbKey = "gsDeedZys" //行为税 印花税
	GsDeedTds SbKey = "gsDeedTds" //行为税 印花税
	GsLjcl    SbKey = "gsLjcl"

	GsSbXfs     SbKey = "gsXfs"     //消费税
	GsSbXfsMain SbKey = "gsXfsMain" //消费税主表
	GsSbXfsItem SbKey = "gsXfsItem" //消费税附加资料（一）
	GsSbXfsFjs  SbKey = "gsXfsFjs"  //消费税附加税
	GsSbXfsJm   SbKey = "gsXfsJm"   //消费税

	KjZcfz     SbKey = "kjZcfz"
	KjLrb      SbKey = "kjLrb"
	KjLrbMonth SbKey = "kjLrbMonth"
	KjXjllbJb  SbKey = "kjXjllbJb"

	GsSl              SbKey = "gsSl"              //水利建设专项
	GsQtsr            SbKey = "gsQtsr"            //其他收入
	GsCbj             SbKey = "gsCbj"             //残保金
	GsWhsyjsfsbbygz   SbKey = "gsWhsyjsfsbbygz"   //文化事业建设
	GsWhsyjsfsbbygzFb SbKey = "gsWhsyjsfsbbygzFb" //文化事业建设
	//扣款相关
	GsVatAmount           SbKey = "gsVatAmount"           //增值税税款
	GsSmallVatAmount      SbKey = "gsSmallVatAmount"      //小规模增值税税款
	GsFjsAmount           SbKey = "gsFjsAmount"           //附加税税款
	GsDeedAmount          SbKey = "gsDeedAmount"          //财产行为税税款
	GsTaxQuarterAmount    SbKey = "gsTaxQuarterAmount"    //企业所得税税款
	GsWhsyjsfsbbygzAmount SbKey = "gsWhsyjsfsbbygzAmount" //文化建设事业费 税款
	GsQtsrAmount          SbKey = "gsQtsrAmount"          //其他收入 税款
	GsLjclAmount          SbKey = "gsLjclAmount"          //垃圾处理  税款 江苏用
	GsSlAmount            SbKey = "gsSlAmount"            //水利 税款 内蒙用
	GsXfsAmount           SbKey = "gsXfsAmount"           //消费税 税款
	GsCbjAmount           SbKey = "gsCbjAmount"           //残保金 税款
	//税种
	GsTaxCategory SbKey = "gsTaxCategory" //税种

	//注册信息
	GsRegInfo SbKey = "gsRegInfo"

	// 汇算清缴
	A000000     SbKey = "a000000"
	A000000Gd   SbKey = "a000000Gd"
	A100000     SbKey = "a100000"
	A100000Fb1  SbKey = "a100000_fb1"
	A100000Fb2  SbKey = "a100000_fb2"
	A101010     SbKey = "a101010"
	A102010     SbKey = "a102010"
	A104000     SbKey = "a104000"
	A105000     SbKey = "a105000"
	A105050     SbKey = "a105050"
	A105060     SbKey = "a105060"
	A105080     SbKey = "a105080"
	A105080Fb28 SbKey = "a105080_fb28"
	A105080Fb29 SbKey = "a105080_fb29"
	A106000     SbKey = "a106000"
	A107010     SbKey = "a107010"
	A107040     SbKey = "a107040"
	//财报年报
	YearLrb   SbKey = "lrb"
	YearXjllb SbKey = "xjllb"
	YearZcfz  SbKey = "zcfz"
	//涉税机构人员添加
	Ssjgpeopel SbKey = "list"
)

type GsXfsMain struct {
	AddFlag     bool      `json:"addFlag"`
	CreatedAt   time.Time `json:"createdAt"`
	GsMainID    int       `json:"gsMainId"`
	ID          int       `json:"id"`
	Name        string    `json:"name"`
	PeriodTotal string    `json:"periodTotal"`
	Type        string    `json:"type"`
	UpdatedAt   time.Time `json:"updatedAt"`
	YearTotal   string    `json:"yearTotal"`
}
