package config

// Config 日志配置结构
type Logger struct {
	Level      string    `yaml:"level"`      // 日志级别
	Filename   string    `yaml:"filename"`   // 日志文件路径
	MaxSize    int       `yaml:"maxSize"`    // 每个日志文件最大尺寸（MB）
	MaxBackups int       `yaml:"maxBackups"` // 保留的旧文件最大数量
	MaxAge     int       `yaml:"maxAge"`     // 保留的旧文件最大天数
	Compress   bool      `yaml:"compress"`   // 是否压缩旧文件
	Console    bool      `yaml:"console"`    // 是否同时输出到控制台
	ToMq       bool      `yaml:"toMq"`       // 是否输出到MQ
	MqSetting  MqSetting `yaml:"mqSetting"`  // MQ配置
}

type MqSetting struct {
	Host     string `yaml:"host"`
	Port     int    `yaml:"port"`
	Username string `yaml:"username"`
	Password string `yaml:"password"`
}
